/*#########################################################################
#                                                                         #
#   Copyright     							  #
#									  #
#   (C)  2009 Àlvar Cuevas i Fajardo <alvar@cuevas.cat>                   #
#   (C)  2008 Eirik Johansen Bjørgan  <eirikjbj@gmail.com> 		  #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

Importer.loadQtBinding("qt.core");
Importer.loadQtBinding("qt.gui");

function Station( name, url, description )
{
    this.name = name;
    this.url = url;
    this.description = description;
}


categories = new Object;

categories["Radio Hit"]=new Array (
    new Station("Radio Hit", "http://live.radiohit.si:9560/listen.pls", "Radio Hit")
);

categories["Radio 1"]=new Array (
    new Station("Radio 1 LJ", "mms://live2.infonetmedia.si/radio1", "Radio 1 LJ"),
    new Station("Radio 1 MB", "mms://live.radio1.si/Radio1MB", "Radio 1 MB"),
    new Station("Radio 1 OBALA", "mms://live.radio1.si/Radio1OBALA", "Radio 1 OBALA"),
    new Station("Radio 1 PRIMORSKA", "mms://live.radio1.si/Radio1MB", "Radio 1 PRIMORSKA"),
    new Station("Radio 1 PRIMORSKA", "mms://live.radio1.si/Radio1PRIMORSKA", "Radio 1 PRIMORSKA"),
    new Station("Radio 1 NM", "mms://live.radio1.si/Radio1NM", "Radio 1 NM"),
    new Station("Radio 1 CE", "mms://live.radio1.si/Radio1CE", "Radio 1 CE"),
    new Station("Radio 1 VR", "mms://live.radio1.si/Radio1VR", "Radio 1 VR"),
    new Station("Radio 1 VE", "mms://live.radio1.si/Radio1VE", "Radio 1 VE")
);

categories["Radio City"]=new Array (
    new Station("Radio City", "http://www.radiocity.si/live.pls", "Radio City")
);

categories["Radio Center"]=new Array (
    new Station("Radio Center LJ", "http://www.radiocenter.si/media/streamlj.m3u", "Radio Center LJ"),
    new Station("Radio Center MB", "http://www.radiocenter.si/media/streammb.m3u", "Radio Center MB"),
    new Station("Radio Center CE", "http://www.radiocenter.si/media/streamce.m3u", "Radio Center CE"),
    new Station("Radio Center KP", "http://www.radiocenter.si/media/streamkp.m3u", "Radio Center KP"),
    new Station("Radio Center KK", "http://www.radiocenter.si/media/streamkk.m3u", "Radio Center KK"),
    new Station("Radio Center NM", "http://www.radiocenter.si/media/streamnm.m3u", "Radio Center NM")
);

categories["Radio Fantasy"]= new Array (
    new Station( "Radio Fantasy", "http://shoutcast.netsi.net:8220/listen.pls", "Radio Fantasy" )
);

categories["Radio Belvi"]= new Array (
    new Station( "Radio Belvi", "http://sradio.tv/stream/1339.m3u", "Radio Belvi" )
);

categories["Radio Student"]= new Array (
    new Station( "Radio Student", "http://radiostudent.si/live/radio_student.m3u", "Student" )
);

categories["Radio Salomon"]= new Array (
    new Station( "Radio ", "http://www.radiosalomon.si/salomon.m3u", "Radio Salomon" )
);

categories["Radio Veseljak"]= new Array (
    new Station( "Radio Veseljak", "http://www.radioveseljak.si/veseljak.m3u", "Radio Veseljak" )
);

categories["Radio Sraka"]= new Array (
    new Station( "Radio Sraka", "http://194.165.104.24/streamredirect/8006/stream.m3u", "Radio Sraka" )
);

categories["Radio Expres"]= new Array (
    new Station( "Radio Expres", "http://www.radioekspres.si/stream.m3u", "Radio Expres" )
);

categories["Radio Mars"]= new Array (
    new Station( "Radio Mars", "http://sradio.tv/stream/1333.m3u", "Radio Mars" )
);

categories["Radio Celje"]= new Array (
    new Station( "Radio Celje", "http://shoutcast.netsi.net:9025/listen.pls", "Radio Celje" )
);

categories["Radio Maxi"]= new Array (
    new Station( "Radio Maxi", "http://shoutcast.netsi.net:9015/listen.pls", "Radio Maxi" )
);

categories["Radio Plus"]= new Array (
    new Station( "Radio Plus", "http://www.raplus.com/raplus.pls", "Radio Plus" )
);

categories["Moj Radio"]= new Array (
    new Station( "Moj Radio", "http://www.mojradio.com/moj_radio_online.m3u", "Moj Radio" )
);

categories["Radio Potepuh"]= new Array (
    new Station( "Radio Potepuh", "http://194.165.104.24/streamredirect/8094/stream.m3u", "Radio Potepuh" )
);

categories["Radio Rogla"]= new Array (
    new Station( "Radio Rogla", "http://www.radio.rogla.se:8000/listen.pls", "Radio Rogla" )
);


categories["Radio Dur"]= new Array (
    new Station( "Radio Dur", "http://91.185.196.3:8000/listen.pls", "Radio Dur" )
);


categories["Radio Zeleni val"]= new Array (
    new Station( "Radio Zeleni val", "http://www.zelenival.com:8000/listen.pls", "Radio Zeleni val" )
);

categories["Radio Net FM"]= new Array (
    new Station( "Radio Net FM", "http://www.radionet.si/live.pls", "Radio Net FM" )
);


categories["Radio Kranj"]= new Array (
    new Station( "Radio Net FM", "http://www.radio-kranj.si/radio_kranj.m3u", "Radio Kranj" )
);




images = new Object;
images["Radio Hit"]="hit.jpg";
images["Radio 1"]="1.gif";
images["Radio City"]="city.gif";
images["Radio Center"]="center.jpg";
images["Radio Fantasy"]="fantasy.jpg";
images["Radio Belvi"]="belvi.gif";
images["Radio Student"]="student.jpg";
images["Radio Salomon"]="salomon.gif";
images["Radio Sraka"]="sraka.gif";
images["Radio Expres"]="expres.gif";
images["Radio Mars"]="mars.gif";
images["Radio Celje"]="celje.gif";
images["Radio Maxi"]="maxi.gif";
images["Radio Plus"]="plus.gif";
images["Radio Veseljak"]="veseljak.gif";
images["Moj Radio"]="mojradio.gif";
images["Radio Potepuh"]="potepuh.gif";
images["Radio Rogla"]="rogla.gif";
images["Radio Dur"]="dur.gif";
images["Radio Zeleni val"]="zelenival.gif";
images["Radio Net FM"]="net.gif";
images["Radio Kranj"]="kranj.gif";


function SLOradio()
{
       Amarok.debug( "creating Slovenian Radio Streams service..." );
    ScriptableServiceScript.call( this, "Slovenian Radio Streams", 2, "List of some Slovenian Online Radio Stations", "List of some Slovenian Online Radio Stations", false );
    Amarok.debug( "done." );
}

function onConfigure()
{
    Amarok.alert( "No cal configuració per aquest script." );
}

function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
            var cover = Amarok.Info.scriptPath() + "/" + images[att];
            Amarok.debug ("att: " + att + ", " + categories[att].name);
      
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
            item.coverUrl = cover;
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Recopilant emisores..." );
	//add the station streams as leaf nodes

        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
                var cover = Amarok.Info.scriptPath() + "/" + images[callbackData];
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.album = callbackData;
		item.infoHtml = stationArray[i].description;
                item.artist = "Fluix de ràdio";
                item.coverUrl = cover;
		script.insertItem( item );
	}
	script.donePopulating();
    }
}

function onCustomize() {
    var currentDir = Amarok.Info.scriptPath() + "/";
    var iconPixmap = new QPixmap(currentDir+"icon.gif");
    script.setIcon(iconPixmap);
}

Amarok.configured.connect( onConfigure );

script = new SLOradio();
script.populate.connect( onPopulating );
script.customize.connect( onCustomize );
